#
#   Copyright 2018, Cordite Foundation.
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
# Service
# selector: defines which deployment the service points at

apiVersion: v1
kind: Service
metadata:
  labels:
    app: cordite-node
  name: cordite-node
  namespace: default
spec:
  clusterIP:
  ports:
  - name: braid
    port: 8080
    protocol: TCP
    targetPort: 8080
  - name: p2p
    port: 10002
    protocol: TCP
    targetPort: 10002
  selector:
    app: cordite-node
  sessionAffinity: None
  type: ClusterIP
status:
  loadBalancer: {}
